clear all
close all
geofile='disk1hole02'; N=80;
NumEigs=5;sigma='sm';

[curpath,~,~]=fileparts(mfilename('fullpath'));
meshfile=gmsh.buildmesh2d(geofile,N,'geodir',[curpath,filesep,'geodir'],'meshdir',[curpath,filesep,'meshdir']);%,'force',true);
Th=siMesh(meshfile,'dim',2,'format','gmsh');
%tcpu(1)=toc(tstart);
fprintf('     Mesh sizes : nq=%d\n',Th.nq);

dim=2;d=2;
Lop=Loperator(dim,d,{1,0;0,1},[],[],[]);
pde=PDEelt(Lop);
bvp=BVP(Th,pde);
for lab=1:4, bvp.setDirichlet( lab, 0);end

[eVec,lambda,flag]=fc_vfemp1.addon.eigs.solve(bvp,NumEigs,sigma);
if flag~=0, warning('function eigs trouble: not all eigenvalues converged!');end
[eVec,lambda]=fc_vfemp1.addon.eigs.splitsort(bvp,eVec,lambda);

fc_vfemp1.addon.eigs.plot(Th,eVec,lambda)